%global         __strip /bin/true
%global         debug_package %{nil}
%global         cross mips64-elf

Name:           newlib-%{cross}
Version:        4.4.0.20231231
Release:        1%{?dist}
Summary:        %{cross} newlib

License:        BSD
URL:            http://gcc.gnu.org
Source0:        https://sourceware.org/pub/newlib/newlib-%{version}.tar.gz

BuildRequires:  binutils-%{cross}
BuildRequires:  gcc-%{cross}
BuildRequires:  gcc
BuildRequires:  texinfo

%description
%{cross} version of newlib

%prep
%autosetup -c

%build

CFLAGS_FOR_TARGET="-DHAVE_ASSERT_FUNC -O2 -fpermissive" \
./newlib-%{version}/configure \
    --target=%{cross} \
    --prefix="%{_prefix}" \
    --with-cpu=mips64vr4300 \
    --disable-libssp \
    --enable-newlib-multithread \
    --enable-newlib-retargetable-locking \
    --disable-werror

%make_build

%install
%make_install
mkdir -p %{buildroot}%{_prefix}/%{cross}/sys-root/usr
mv %{buildroot}%{_prefix}/%{cross}/lib %{buildroot}%{_prefix}/%{cross}/sys-root/usr/lib
mv %{buildroot}%{_prefix}/%{cross}/include %{buildroot}%{_prefix}/%{cross}/sys-root/usr/include
rm -rf %{buildroot}/%{_datadir}/info

%files
%license newlib-%{version}/COPYING
%{_prefix}/%{cross}/sys-root/usr/lib
%{_prefix}/%{cross}/sys-root/usr/include

%changelog
* Sat Feb 01 2025 Jan200101 <sentrycraft123@gmail.com> - 4.4.0.20231231-1
- Update to 4.4.0.20231231

* Sun Oct 29 2023 Jan Drögehoff <sentrycraft123@gmail.com> - 4.3.0.20230120-3
- rebuild for libdragon

* Sat Oct 28 2023 Jan Drögehoff <sentrycraft123@gmail.com> - 4.3.0.20230120-2
- rebuild for newer gcc

* Wed Apr 19 2023 Jan Drögehoff <sentrycraft123@gmail.com> - 4.3.0.20230120-1
- Update to 4.3.0

* Wed May 18 2022 Jan Drögehoff <sentrycraft123@gmail.com> - 4.1.0-2
- rebuild for updated gcc

* Sun Mar 27 2022 Jan Drögehoff <sentrycraft123@gmail.com> - 4.1.0-1
- Initial Release



